{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.apps.art;
in {
  options.modules.desktop.apps.art = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
        aseprite
        krita
        lmms
        inkscape
    ];
  };
}