{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.apps.cad;
in {
  options.modules.desktop.apps.cad = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
        (blender.override {
            cudaSupport = true;
        })
        openscad
        freecad
    ];
  };
}