{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.apps.cam;
in {
  options.modules.desktop.apps.cam = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
        prusa-slicer
    ];
  };
}