{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.apps.chat;
in {
  options.modules.desktop.apps.chat = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
        discord
        element-desktop
    ];
  };
}