{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.apps.xiv;
in {
  options.modules.desktop.apps.xiv = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
        xivlauncher
    ];
  };
}